Subject: Linux "rwhod" daemon now available (and it's not a port from BSD)
From: [email-masked] (Peter Eriksson)
Date: Sun, 14 Feb 1993 16:09:25 GMT
Newsgroups: comp.os.linux.announce

This message is to announce that my "rwhod" daemon, version 0.1, for
Linux is now available for anonymous FTP from ftp.lysator.liu.se
in pub/linux as "rwhod-0.1.tar.Z". Alternatively you can get it
by email by sending a mail to [email-masked], with a mail
body of (subject is ignored):

  UUSEND pub/linux/rwhod-0.1.tar.Z
  QUIT

Below follows the README file from the tar.Z file:

------------------------------ CUT - HERE -----------------------------
This is rwhod version 0.1, my implementation of an rwhod daemon for
Linux 0.99.5 or later. Just type "make" in this directory to build it.

I can't seem to get UDP broadcasting to work on my box (running Linux
0.99.5) here, and it's getting late now so that will have to wait for
some other time.

Command line options:

   -t[<target-address>]		Send UDP messages to the specified host.
				If <target-address> is omitted, use UDP
				broadcasts on the local ethernet. Multiple
				targets are allowed.

   -s[<source-address>] 	Listen to incoming UDP messages from the
				specified <source-address>. If it is
				omitted, listen to all incoming messages
				(ie, broadcasts also). Multiple sources
				are possible.

   -r<source-address>		Act as an information relayer for the
				Rwhod daemon running at <source-address>.
				Multiple relaying sources are possible.

   -w<seconds>			Time to wait before transmitting information
				about ourself to the world

   -p<portnum>			Port to use for the messages (both in and
				outgoing)

   -d				Don't detach from tty and (in the future)
				enable some debugging output.

Currently you must specify the source and target addresses using dot (number)
notation. It doesn't yet grok hostnames. (See TODO). You also must use a number
for <portnum> and not the symbolic name in /etc/services.

Since there aren't any manual page for it yet I'll give some example on how to
use it below:

rwhod -t -s
   Behave just like normal "rwhod" daemons do. (For this to work someone will
   have to fix the kernel, or my code if the problem is in it and not the 
   kernel, so that UDP broadcasting works :-)

rwhod -t193.180.23.1
   Only act as an information provider, sending information to the host at
   193.180.23.1 only. Do not collect information about other hosts. This is
   a useful mode if you have a sitewide rwho-collecting daemon which the
   other machines then access using NFS.

rwhod -t193.180.23.1 -t130.236.254.1
   Only act as an information provider, sending information to the hosts at
   193.180.23.1 and 130.236.254.1 only. Do not collect information about
   other hosts. This is a useful mode if you have a sitewide rwho-collecting
   daemon which the other machines then access using NFS.

rwhod -t -r193.180.23.2
   Broadcast information about the local host and any information received
   from the rwho daemon at host 193.180.23.2. This can be very useful to
   spread the information over a greater site if the site has a network
   consisting of a number of separated ethernets that broadcasts won't be
   able to reach all machines. (This requires that the rwhod at 193.180.23.2
   has the ability to send directed UDP messages like this one can).

Peter Eriksson, Signum Support AB, Sweden, 14 Feb 1993
Email: [email-masked] 
--
Peter Eriksson                                              [email-masked]
Lysator Academic Computer Society                 ...!uunet!lysator.liu.se!pen
University of Linkoping, Sweden                I'm still bored. Flame me again.

-- 
Send submissions for comp.os.linux.announce to: [email-masked]